Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.jetty
Class JettyPlugin

    java.lang.Object
      org.gradle.api.plugins.jetty.JettyPlugin

All Implemented Interfaces:
  Plugin

    public class JettyPlugin

extends java.lang.Object
implements Plugin

A `Plugin` which extends the `WarPlugin` to add tasks which run the web application using an embedded Jetty web container.

Field Summary
`static java.lang.String` | `JETTY_RUN`
`static java.lang.String` | `JETTY_RUN_WAR`
`static java.lang.String` | `JETTY_STOP`
`static java.lang.String` | `RELOAD_AUTOMATIC`
`static java.lang.String` | `RELOAD_MANUAL`

Constructor Summary
`JettyPlugin()`

Method Summary
`org.gradle.api.plugins.JavaPluginConvention` | `getJavaConvention(Project project)`
`org.gradle.api.plugins.WarPluginConvention` | `getWarConvention(Project project)`
`void` | `use(Project project, ProjectPluginsContainer projectPluginsHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JETTY_RUN

    public static final java.lang.String JETTY_RUN

See Also:
  Constant Field Values

### JETTY_RUN_WAR

    public static final java.lang.String JETTY_RUN_WAR

See Also:
  Constant Field Values

### JETTY_STOP

    public static final java.lang.String JETTY_STOP

See Also:
  Constant Field Values

### RELOAD_AUTOMATIC

    public static final java.lang.String RELOAD_AUTOMATIC

See Also:
  Constant Field Values

### RELOAD_MANUAL

    public static final java.lang.String RELOAD_MANUAL

See Also:
  Constant Field Values

Constructor Detail

### JettyPlugin

    public JettyPlugin()

Method Detail

### use

    public void use(Project project,
                    ProjectPluginsContainer projectPluginsHandler)

  Specified by:
    `use` in interface `Plugin`

### getJavaConvention

    public org.gradle.api.plugins.JavaPluginConvention getJavaConvention(Project project)

### getWarConvention

    public org.gradle.api.plugins.WarPluginConvention getWarConvention(Project project)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD